=== debian/control ===
Source: custom-operator-name-applet
Section: user/desktop
Priority: extra
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libosso-dev
Standards-Version: 3.7.2

Package: custom-operator-name-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Replacement desktop operator name applet allowing for a custom name
 A widget allowing you to display words of your own choice in lieu of the original
 operator name applet.
 .
 Restart to have the applet loaded.
 Configuration of the applet is done via the Control Panel (Settings).
 .
 Uninstallation of this widget will restore the original.
XB-Maemo-Display-Name: Custom Operator Name Applet
